JUCE: ARADocumentListener Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARADocumentListener Class Reference
juce_audio_processors » utilities

A base class for listeners that want to know about changes to an ARADocument object. More...

`#include <juce_ARAModelObjects.h>`

Inheritance diagram for ARADocumentListener:

## Public Member Functions
virtual | ~ARADocumentListener ()=default
| Destructor.
virtual void | willBeginEditing (ARADocument *document)
| Called before the document enters an editing state.
virtual void | didEndEditing (ARADocument *document)
| Called after the document exits an editing state.
virtual void | willNotifyModelUpdates (ARADocument *document)
| Called before sending model updates do the host.
virtual void | didNotifyModelUpdates (ARADocument *document)
| Called after sending model updates do the host.
virtual void | willUpdateDocumentProperties (ARADocument *document, ARA::PlugIn::PropertiesPtr< ARA::ARADocumentProperties > newProperties)
| Called before the document's properties are updated.
virtual void | didUpdateDocumentProperties (ARADocument *document)
| Called after the document's properties are updated.
virtual void | didAddMusicalContextToDocument (ARADocument *document, ARAMusicalContext *musicalContext)
| Called after a musical context is added to the document.
virtual void | willRemoveMusicalContextFromDocument (ARADocument *document, ARAMusicalContext *musicalContext)
| Called before a musical context is removed from the document.
virtual void | didReorderMusicalContextsInDocument (ARADocument *document)
| Called after the musical contexts are reordered in an ARA document.
virtual void | didAddRegionSequenceToDocument (ARADocument *document, ARARegionSequence *regionSequence)
| Called after a region sequence is added to the document.
virtual void | willRemoveRegionSequenceFromDocument (ARADocument *document, ARARegionSequence *regionSequence)
| Called before a region sequence is removed from the document.
virtual void | didReorderRegionSequencesInDocument (ARADocument *document)
| Called after the region sequences are reordered in an ARA document.
virtual void | didAddAudioSourceToDocument (ARADocument *document, ARAAudioSource *audioSource)
| Called after an audio source is added to the document.
virtual void | willRemoveAudioSourceFromDocument (ARADocument *document, ARAAudioSource *audioSource)
| Called before an audio source is removed from the document.
virtual void | willDestroyDocument (ARADocument *document)
| Called before the document is destroyed by the ARA host.

## Detailed Description

A base class for listeners that want to know about changes to an ARADocument object.

Use ARADocument::addListener() to register your listener with an ARADocument.

## Constructor & Destructor Documentation

## ◆ ~ARADocumentListener()

virtual ARADocumentListener::~ARADocumentListener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ willBeginEditing()

virtual void ARADocumentListener::willBeginEditing | ( | ARADocument * | document | ) |
| virtual

Called before the document enters an editing state.

Parameters

  document | The document about to enter an editing state.

## ◆ didEndEditing()

virtual void ARADocumentListener::didEndEditing | ( | ARADocument * | document | ) |
| virtual

Called after the document exits an editing state.

Parameters

  document | The document about exit an editing state.

## ◆ willNotifyModelUpdates()

virtual void ARADocumentListener::willNotifyModelUpdates | ( | ARADocument * | document | ) |
| virtual

Called before sending model updates do the host.

Parameters

  document | The document whose model updates are about to be sent.

## ◆ didNotifyModelUpdates()

virtual void ARADocumentListener::didNotifyModelUpdates | ( | ARADocument * | document | ) |
| virtual

Called after sending model updates do the host.

Parameters

  document | The document whose model updates have just been sent.

## ◆ willUpdateDocumentProperties()

virtual void ARADocumentListener::willUpdateDocumentProperties | ( | ARADocument * | document,
|  | ARA::PlugIn::PropertiesPtr< ARA::ARADocumentProperties > | newProperties
| ) |  |
| virtual

Called before the document's properties are updated.

Parameters

  document | The document whose properties will be updated.
  newProperties | The document properties that will be assigned to `document`.

## ◆ didUpdateDocumentProperties()

virtual void ARADocumentListener::didUpdateDocumentProperties | ( | ARADocument * | document | ) |
| virtual

Called after the document's properties are updated.

Parameters

  document | The document whose properties were updated.

## ◆ didAddMusicalContextToDocument()

virtual void ARADocumentListener::didAddMusicalContextToDocument | ( | ARADocument * | document,
|  | ARAMusicalContext * | musicalContext
| ) |  |
| virtual

Called after a musical context is added to the document.

Parameters

  document | The document that `musicalContext` was added to.
  musicalContext | The musical context that was added to `document`.

## ◆ willRemoveMusicalContextFromDocument()

virtual void ARADocumentListener::willRemoveMusicalContextFromDocument | ( | ARADocument * | document,
|  | ARAMusicalContext * | musicalContext
| ) |  |
| virtual

Called before a musical context is removed from the document.

Parameters

  document | The document that `musicalContext` will be removed from.
  musicalContext | The musical context that will be removed from `document`.

## ◆ didReorderMusicalContextsInDocument()

virtual void ARADocumentListener::didReorderMusicalContextsInDocument | ( | ARADocument * | document | ) |
| virtual

Called after the musical contexts are reordered in an ARA document.

Musical contexts are sorted by their order index - this callback signals a change in this ordering within the document.

Parameters

  document | The document with reordered musical contexts.

## ◆ didAddRegionSequenceToDocument()

virtual void ARADocumentListener::didAddRegionSequenceToDocument | ( | ARADocument * | document,
|  | ARARegionSequence * | regionSequence
| ) |  |
| virtual

Called after a region sequence is added to the document.

Parameters

  document | The document that `regionSequence` was added to.
  regionSequence | The region sequence that was added to `document`.

## ◆ willRemoveRegionSequenceFromDocument()

virtual void ARADocumentListener::willRemoveRegionSequenceFromDocument | ( | ARADocument * | document,
|  | ARARegionSequence * | regionSequence
| ) |  |
| virtual

Called before a region sequence is removed from the document.

Parameters

  document | The document that `regionSequence` will be removed from.
  regionSequence | The region sequence that will be removed from `document`.

## ◆ didReorderRegionSequencesInDocument()

virtual void ARADocumentListener::didReorderRegionSequencesInDocument | ( | ARADocument * | document | ) |
| virtual

Called after the region sequences are reordered in an ARA document.

Region sequences are sorted by their order index - this callback signals a change in this ordering within the document.

Parameters

  document | The document with reordered region sequences.

## ◆ didAddAudioSourceToDocument()

virtual void ARADocumentListener::didAddAudioSourceToDocument | ( | ARADocument * | document,
|  | ARAAudioSource * | audioSource
| ) |  |
| virtual

Called after an audio source is added to the document.

Parameters

  document | The document that `audioSource` was added to.
  audioSource | The audio source that was added to `document`.

## ◆ willRemoveAudioSourceFromDocument()

virtual void ARADocumentListener::willRemoveAudioSourceFromDocument | ( | ARADocument * | document,
|  | ARAAudioSource * | audioSource
| ) |  |
| virtual

Called before an audio source is removed from the document.

Parameters

  document | The document that `audioSource` will be removed from .
  audioSource | The audio source that will be removed from `document`.

## ◆ willDestroyDocument()

virtual void ARADocumentListener::willDestroyDocument | ( | ARADocument * | document | ) |
| virtual

Called before the document is destroyed by the ARA host.

Parameters

  document | The document that will be destroyed.

The documentation for this class was generated from the following file:

- juce_ARAModelObjects.h